package com.tmerclub.cloud.payment.vo;

import com.tmerclub.cloud.api.payment.allinpay.member.resp.CompanyInfo;
import com.tmerclub.cloud.payment.allinpay.member.resp.UserInfo;
import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;

/**
 * 通联支付会员信息
 * @author gaozijie
 */
public class MemberInfoVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "个人信息")
    private UserInfo userInfo;

    @Schema(description = "企业信息")
    private CompanyInfo companyInfo;

    public UserInfo getUserInfo() {
        return userInfo;
    }

    public void setUserInfo(UserInfo userInfo) {
        this.userInfo = userInfo;
    }

    public CompanyInfo getCompanyInfo() {
        return companyInfo;
    }

    public void setCompanyInfo(CompanyInfo companyInfo) {
        this.companyInfo = companyInfo;
    }

    @Override
    public String toString() {
        return "MemberInfoVO{" +
                "userInfo=" + userInfo +
                ", companyInfo=" + companyInfo +
                '}';
    }
}
